Skip to main content
GET
/
v3
/
scheme-contracts
List scheme contracts
curl --request GET \
  --url https://api.ctrl-hub.com/v3/scheme-contracts \
  --header 'X-Session-Token: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "name": "<string>"
      },
      "relationships": {
        "organisation": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        },
        "schemes": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        }
      },
      "meta": {
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "meta": {
    "pagination": {
      "counts": {
        "pages": 123,
        "resources": 123
      },
      "current_page": 123,
      "offsets": {
        "next": 123,
        "previous": 123
      },
      "requested": {
        "limit": 123,
        "offset": 123
      }
    },
    "features": {
      "include": {
        "options": [
          "<string>"
        ]
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "name": "<string>",
        "slug": "<string>",
        "sandbox": true,
        "description": "<string>",
        "settings": {}
      },
      "meta": {
        "v3": true,
        "status": "active",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "features": [
          {
            "name": "<string>",
            "enabled": true,
            "limit": 123
          }
        ]
      },
      "relationships": {
        "users": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "service_accounts": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "groups": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "teams": {
          "data": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "type": "<string>"
            }
          ]
        },
        "nomenclature": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        }
      }
    }
  ]
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

include
enum<string>[]

A comma separated list of related resources to include.

Available options:
organisation,
schemes
filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • eq(id,xxx): Filter scheme contracts by ID.
  • contains(name,xxx): Filter scheme contracts where name contains value.
  • eq(organisation,xxx): Filter scheme contracts by organisation ID.
  • eq(scheme,xxx): Filter scheme contracts that contain the given scheme ID.

For more information on using named filters, see the docs

limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0

Response

Get a list of scheme contracts.

JSON API response object

data
A list of scheme contracts · object[]
required
meta
object
required
jsonapi
object
required
included
object[]

Related resources that can be included when a scheme contract is returned

An organisation